Bug 390561 - Kernel Panic with prism2.5 PCMCIA card during boot
Kernel Panic with prism2.5 PCMCIA card during boot
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-19 10:49 EST by James Evans
Modified: 2008-02-13 18:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-13 18:12:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Evans 2007-11-19 10:49:09 EST
Description of problem:
've got a Compaq Armada m700 laptop with a Proxim (prism 2.5 chipset) PCMCIA
wireless card. It's been running FC4 for years without a problem. I tried
updating to Fedora 8, and have an interesting problem. If I boot the laptop with
the wireless card in, it kernel panics loading the hostap_cs module during udev
startup. If I take the card out the computer boots fine. After it is booted I
can put the card in and everything works fine. The hostap_cs module loads fine
and the card works.

A little experimentation showed that if I plug the card in before the HAL daemon
starts, the kernel instantly panics. If I let the HAL start, it works fine.

Version-Release number of selected component (if applicable):
Fedora 8

How reproducible:
Everytime

Steps to Reproduce:
1. Plug in PCMCIA card
2. Boot System
  
Actual results:
Kernel panics displaying "Starting udev"


Expected results:
System boots with wireless card enabled

Additional info:
The card also does not work after suspend/resume. I don't know if this is related.
Comment 1 Chuck Ebbert 2007-12-07 18:21:20 EST
Can you capture the panic messages?
Comment 2 Christopher Brown 2008-02-13 18:12:53 EST
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am closing this INSUFFICIENT_DATA as there has been no response to comment #1
for two months. Please re-open should this issue exist with the panic messages
as requested. Thanks for filing the bug.

Note You need to log in before you can comment on or make changes to this bug.